//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
#include "kvi_app.h"

#include "kvi_about.h"

#define __txt(__par1,__par2) m_lpView->appendText(__par1,__par2);

//============ showHallOfFame ============//

void KviHallOfFame::showHallOfFame()
{
	_debug_entertrace("showHallOfFame");
	__txt(KVI_OUT_KVIRC,"\x02\x1fHALL OF FAME\x0f");
	__txt(KVI_OUT_KVIRC," ");
	__txt(KVI_OUT_KVIRC,"This is a small list of people that");
	__txt(KVI_OUT_KVIRC,"have contributed to the KVirc project");
	__txt(KVI_OUT_KVIRC,"ordered chronologically.");
	__txt(KVI_OUT_KVIRC," ");
	__txt(KVI_OUT_KVIRC,"\x02 Szymon 'Pragma@ircnet' Stefanek");
	__txt(KVI_OUT_KVIRC,"     Mental work, hand work and coffee drinking\n     Mantainer of the project");
	__txt(KVI_OUT_KVIRC,"\x02 Diabl0!H3llFir3@ircnet");
	__txt(KVI_OUT_KVIRC,"     Beta testing , bugs hunting ,\n     ideas-source");
	__txt(KVI_OUT_KVIRC,"\x02 Andrew 'Drosha@undernet' Frolov ");
	__txt(KVI_OUT_KVIRC,"     Beta testing ,\n     ideator and mantainer of www.kvirc.org");
	__txt(KVI_OUT_KVIRC,"\x02 RAD Kade 1");
	__txt(KVI_OUT_KVIRC,"     Debugging and many improvements");
	__txt(KVI_OUT_KVIRC,"\x02 Andras 'Pigmy@ircnet' Szigethy");
	__txt(KVI_OUT_KVIRC,"     Nick completion and parts of logging code");
	__txt(KVI_OUT_KVIRC," ");
	_debug_leavetrace("showHallOfFame");
}

#undef __txt(__par1,__par2);

//============ KviHallOfFame ============//

KviHallOfFame::KviHallOfFame(QWidget *parent) : QDialog(parent,0,true)
{
	_debug_entertrace("KviHallOfFame");
	m_lpView = new KviView(this,_macro_kviApplication->m_lpFrm);
	m_lpDone = new QPushButton("Done",this);
	connect(m_lpDone,SIGNAL(clicked()),this,SLOT(accept()));
	m_lpView->setGeometry(10,10,380,360);
	m_lpView->show();
	m_lpView->m_bTimestamp=false;
	m_lpDone->setGeometry(10,375,380,26);
	setFixedSize(400,410);
	showHallOfFame();
	setCaption("Hall of fame");
	_debug_leavetrace("KviHallOfFame");
}

//============ ~KviHallOfFame ============//

KviHallOfFame::~KviHallOfFame()
{
	_debug_entertrace("~KviHallOfFame");
	delete m_lpView;
	delete m_lpDone;
	_debug_leavetrace("~KviHallOfFame");
}



//============ KviAboutDialog ============//

KviAboutDialog::KviAboutDialog(QWidget *parent) : QDialog(parent,0,true)
{
	_debug_entertrace("KviAboutDialog");
	m_lpDone  = new QPushButton("Done",this);
	connect(m_lpDone,SIGNAL(clicked()),this,SLOT(accept()));
	m_lpLogo  = new QLabel("",this);
	m_lpLogo->setBackgroundPixmap(_macro_kviIconLoader->loadIcon("kvilogobig.gif"));
	m_lpLogo->setFrameStyle(QFrame::Sunken|QFrame::Panel);
	m_lpLogo->setGeometry(10,10,390,340);
	m_lpDone->setGeometry(208,385,192,26);
	m_lpVers  = new QLabel(KVI_VERSION,this);
	m_lpVers->setAlignment(AlignCenter);
	m_lpVers->setGeometry(10,355,390,26);
	m_lpHall  = new QPushButton("Hall of fame",this);
	m_lpHall->setGeometry(10,385,192,26);
	connect(m_lpHall,SIGNAL(clicked()),this,SLOT(hallOfFame()));
	setFixedSize(410,420);
	setCaption("About KVirc");
	_debug_leavetrace("KviAboutDialog");
}

//============ ~KviAboutDialog ============//

KviAboutDialog::~KviAboutDialog()
{
	_debug_entertrace("~KviAboutDialog");
	delete m_lpLogo;
	delete m_lpDone;
	delete m_lpVers;
	_debug_leavetrace("~KviAboutDialog");
}

//============ hallOfFame ============//

void KviAboutDialog::hallOfFame()
{
	_debug_entertrace("hallOfFame");
	KviHallOfFame theDlg(this);
	theDlg.exec();
	_debug_leavetrace("hallOfFame");
}


#include "m_kvi_about.moc"
