//
//   This file is part of the KVIrc+ irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//

#ifndef _KVI_ALIAS_H_INCLUDED_
#define _KVI_ALIAS_H_INCLUDED_

#define KVI_MAX_ALIAS_PARAMS 10

typedef struct kviAliasTag{
	QString szName;
	QString szBuffer;
} KviAliasStruct;

class KviAliasManager{
public:
	KviAliasManager();
	~KviAliasManager();
public:
	QList<KviAliasStruct> *m_lpAliasList;
public:
	void saveToFile();
	KviAliasStruct * getAlias(const char *szName);
	void addAlias(const char *szName,QString &szBuffer);
	void removeAlias(const char *szName);
private:
	void readFromFile();
	void cantWriteError();
	void cantReadError();
	void internalError();
	void createEmptyAliasList();
};

#endif //_KVI_ALIAS_H_INCLUDED_
