//
//   This file is part of the KVIrc+ irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this library; see the file COPYING.LIB.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//

#ifndef _KVI_APP_H_INCLUDED_
#define _KVI_APP_H_INCLUDED_

//Base includes
#include "kvi_includes.h"
#include "kvi_support.h"
//Empty classes definitions
class KviFrame;
class KviMdiManager;
class KviMdiChild;
class KviInterface;
//class KviOptions;
class KviIrcSocket;
class KviStatusWnd;
class KviView;
class KviChanWnd;
class KviQueryWnd;
class KviChatWnd;
class KviUserParser;
class KviServerParser;
class KviIdentifiers;
class KviSetup;
class KviScriptManager;
class KviDns;
class KviAsciiPlayer;
class KviCache;
class KviIrcToken;
//Compilation includes
#include "kvi_macros.h"
#include "kvi_defs.h"
#include "kvi_nick.h"
#include "kvi_debug.h"
#include "kvi_chng.h"
#include "kvi_int.h"
//#include "kvi_translate.h"
#include "kvi_audio.h"
#include "kvi_mirc.h"
#include "kvi_alias.h"
#include "kvi_event.h"
#include "kvi_popup.h"
#include "kvi_global.h"
#include "kvi_server.h"
#include "kvi_srv.h"
#include "kvi_usr.h"
#include "kvi_opt.h"
//#include "kvi_token.h"
#include "kvi_listen.h"
//#include "kvi_ctcp.h"
#include "kvi_help.h"
#include "kvi_timer.h"
#include "kvi_proc.h"

class KviCTCP;
class KviTranslator;

#include "kvi_sparser.h"
#include "kvi_uparser.h"
#include "kvi_ident.h"
#include "kvi_tskbtn.h"
#include "kvi_taskbar.h"
#include "kvi_stbar.h"
#include "kvi_socket.h"
#include "kvi_sysbtn.h"
#include "kvi_child.h"
#include "kvi_clrbox.h"
#include "kvi_listbox.h"
#include "kvi_input.h"
#include "kvi_view.h"
#include "kvi_status.h"
#include "kvi_chat.h"
#include "kvi_query.h"
#include "kvi_chan.h"
#include "kvi_send.h"
#include "kvi_userwnd.h"

//#include "kvi_netscape.h"
class KviNetscapeController;
#include "kvi_links.h"
#include "kvi_mdi.h"
#include "kvi_frame.h"

#include "kvi_mlined.h"

//#include "kvi_chndlg.h"
#include "kvi_bandlg.h"
#include "kvi_alidlg.h"
#include "kvi_evedlg.h"
#include "kvi_mirdlg.h"
#include "kvi_srvdlg.h"
#include "kvi_usrdlg.h"
#include "kvi_intdlg.h"
#include "kvi_optdlg.h"
#include "kvi_popdlg.h"


class KviApp : public KApplication {    
	Q_OBJECT
public:			//Construction & destruction
	KviApp (int &argc, char **argv, const char *szAppName=0);
	~KviApp ();
public:			//Variables
	KviFrame	*m_lpFrm;
	bool        m_bRestart;
public:			//Methods
	void startup();
};

#endif //_KVI_APP_H_INCLUDED_
