//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//

//#define _KVI_DEBUG_CLASS_NAME_

#include "kvi_app.h"

//============ KviAudio ============//

KviAudio::KviAudio():KAudio()
{
	_debug_entertrace("KviAudio");
	//Check if the $HOME/Audio directory exists
	QString szHome(getKVIrcHomeDirectory("Audio"));
	QDir aDir(szHome.data());
	if(!aDir.exists())aDir.mkdir(szHome.data(),true);
	_debug_leavetrace("KviAudio");
}

//============ ~KviAudio ============//

KviAudio::~KviAudio()
{
	_debug_entertrace("~KviAudio");
	_debug_leavetrace("~KviAudio")
}

//============ playSound ============//

int KviAudio::playSound(const char *szFileName)
{
	_debug_entertrace("playSound");
	if(serverStatus() != 0)return KVI_AUDIO_NO_SOUND_SERVER;
	QString szAudioFile(szFileName);
	int idx=szAudioFile.find('/');
	if(idx==-1){
		QString szHome(getKVIrcHomeDirectory("Audio/"));
		szAudioFile.prepend(szHome.data());
	}
	QFile audioFile(szAudioFile);
	if(!audioFile.open(IO_ReadOnly)){
		QString szOtherFileName(szFileName);
		int idx=szOtherFileName.find('/');
		if(idx==-1){
			QString szHome(getKVIrcHomeDirectory("Scripts/Audio/"));
			szOtherFileName.prepend(szHome.data());
		}
		QFile audioFile2(szOtherFileName);
		if(!audioFile2.open(IO_ReadOnly))return KVI_AUDIO_FILE_NOT_FOUND;
		else audioFile2.close();
		if(play(szOtherFileName.data()))return KVI_AUDIO_SUCCESS;
		else return KVI_AUDIO_NO_SOUND_SERVER;
	} else audioFile.close();
	if(play(szAudioFile.data()))return KVI_AUDIO_SUCCESS;
	else return KVI_AUDIO_NO_SOUND_SERVER;
	_debug_leavetrace("playSound");
}

#include "m_kvi_audio.moc"
