//
//   This file is part of the KVIrc+ irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this library; see the file COPYING.LIB.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
#ifndef _KVI_INTERFACE_DIALOG_H_INCLUDED_
#define _KVI_INTERFACE_DIALOG_H_INCLUDED_

class KviInterfaceDialog : public QTabDialog{
	Q_OBJECT;
public:
	KviInterfaceDialog(KviFrame *lpParent,KviInterface *lpInt);
	~KviInterfaceDialog();
public:
	KviInterface *m_lpInt;
	
	QWidget				*lpMdiTab;
	KviBackgroundChanger *lpMdiChng;

	QWidget				*lpCaptionTab;
	KviCaptionColorChanger *lpCaptionChng;

	QWidget				*lpInputTab;
	QGroupBox			*lpInputGroup;
	KviColorChanger		*lpInBk;
	KviColorChanger		*lpInFr;
	KviColorChanger		*lpInSelBk;
	KviColorChanger		*lpInSelFr;
	KviColorChanger		*lpInCur;
	KviFontChanger		*lpInFnt;
	KviPixmapChanger	*lpInPix;

	QWidget				*lpOutputTab;
	QGroupBox			*lpOutputGroup;
	KviColorChanger		*lpOutBk;
	KviColorChanger		*lpOutSelBk;
	KviColorChanger		*lpOutSelFr;
	KviFontChanger		*lpOutFnt;
	KviPixmapChanger	*lpOutPix;

	QWidget				*lpListboxTab;
	QGroupBox			*lpListboxGroup;
	KviColorChanger		*lpLBBk;
	KviColorChanger		*lpLBSelBk;
	KviColorChanger		*lpLBSelFr;
	KviColorChanger		*lpLBNorFr;
	KviColorChanger		*lpLBOpFr;
	KviColorChanger		*lpLBVoiFr;
	KviPixmapChanger	*lpLBPix;
	KviFontChanger		*lpLBFnt;

	QWidget				*lpLabelTab;
	QGroupBox			*lpLabelGroup;
	KviColorChanger		*lpLablBk;
	KviColorChanger		*lpLablFr;
	KviColorChanger     *lpLablActFr;
	KviFontChanger		*lpLablFnt;
	KviPixmapChanger	*lpLablPix;
};

#endif //_KVI_INTERFACE_DIALOG_H_INCLUDED_
