//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
#ifndef _KVI_OPTIONS_H_INCLUDED_
#define _KVI_OPTIONS_H_INCLUDED_

class KviOptions{
public:
	KviOptions();
	~KviOptions();
public:
	//Main window caption
	QString szCaption;
	//Messages
	QString szQuitMsg;
	QString szPartMsg;
	QString szKickMsg;
	QString szAwayMsg;
	QString szFinger;
	QString szUserInfo;
	QString szScriptVer;
	//Motd
	QStrList *lpListDccMotd;
	bool bShowMotdOnOutDcc;
	bool bShowMotdOnInDcc;
	//Local Ip for multiIp machines
	QString szLocalIp;

	//misc
	bool bAutoRejoinOnKick;
	bool bPrefixMsg; //prefix msgs with :
	bool bInverseNick;
	char chPersonalCommandPrefix;

	int iMaxCTCP;
	int iTimerCTCP;
	bool bIgnoreDCCChat;
	bool bIgnoreDCCSend;
	bool bAutoAcceptDCCSend;
	bool bAutoAcceptDCCChat;
	bool bMinimizeDCCSend;
	int iDCCCHATTimeout;
	bool bAutoCloseDCCChatOnSuccess;
	bool bEnableUserListUpdate;
	int iUserListUpdateTime;
	int iDCCSendPacketSize; //(64-2048)
	bool bCloneScanOnJoin;
	//translation and notify list
	bool bEnableNotifyList;
	int iNotifyTimer;
	bool bNotifyListInActive;
	bool bUseTranslation;
	bool bNotTranslateDCC;
	QString szTranslationFile;
	QStrList *lpNotifyList;
	//browser and url catching
	bool bRunBrowserOnUrl;
	bool bUseNetscape;
	bool bHighlightUrl;
	char urlHighlightForeColor;
	QString szBrowserCmdLine;
	//protections
	Q_UINT32 massDeopDeadline;
	Q_UINT32 massDeopTime;
	Q_UINT32 massOpDeadline;
	Q_UINT32 massOpTime;
	Q_UINT32 massKickDeadline;
	Q_UINT32 massKickTime;
	Q_UINT32 massBanDeadline;
	Q_UINT32 massBanTime;
	Q_UINT32 publicFloodDeadline;
	Q_UINT32 publicFloodTime;

	//moved here from interface settings
	bool bShowColorBox;
	bool bTimestamp;
	bool bAlignText;
	bool bShowPixmaps;

public:
	void readSettings();
	void saveSettings();
private:
	void preventVariableDestroy(QString &szString);
};

#endif //_KVI_OPTIONS_H_INCLUDED_
