//
//   This file is part of the KVIrc+ irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this library; see the file COPYING.LIB.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
#include "kvi_app.h"

KviServer::KviServer(QString &szServer){
	fromString(szServer);
}
KviServer::~KviServer(){
}
KviServer::KviServer(){
	reset();
}
	//String format:
	// "networkname:servername:port:ip:password:description"
void KviServer::fromString(QString &szServer){
	reset();
	QString szSrv=szServer.copy();

	int idx=szSrv.find(':');
	if(idx != -1){ //Found the networkname
		szNetworkName=szSrv.left(idx);
		szSrv.remove(0,idx+1);
		idx=szSrv.find(':');
		if(idx != -1){ //found the servername
			szServerName=szSrv.left(idx);
			szSrv.remove(0,idx+1);
			idx=szSrv.find(':');
			if(idx != -1){ //found the port
				QString szPort=szSrv.left(idx);
				szSrv.remove(0,idx+1);
				bool bOk;
				iPort=szPort.toInt(&bOk);
				if(!bOk)iPort=6667;
				idx=szSrv.find(':');
				if(idx != -1){ //fount the ip
					szIp=szSrv.left(idx);
					struct in_addr dummyaddress;
					if(!inet_aton(szIp.data(),&dummyaddress))szIp="Resolve at connect";
					szSrv.remove(0,idx+1);
					idx=szSrv.find(':');
					if(idx != -1){ //found a password...
						szPassword=szSrv.left(idx);
						szSrv.remove(0,idx+1);
						if(!szSrv.isEmpty()){
							szDescription=szSrv;
						} else szDescription="Unknown Location";
					}
				} else szPassword="";
			}
		}
	}
}
void KviServer::reset(){
	iPort=6667;
	szServerName="Unknown.Host";
	szNetworkName="UnknownNet";
	szDescription="Unknown Location";
	szPassword="";
	szIp="Resolve at connect";
}
void KviServer::toString(QString &szServer){
	szServer.sprintf("%s:%s:%d:%s:%s:%s",szNetworkName.data(),szServerName.data(),
						iPort,szIp.data(),szPassword.data(),szDescription.data());
}

