//
//   This file is part of the KVirc irc client distribution
//   Copyright (C) 1998 Szymon Stefanek (stefanek@tin.it)
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Library General Public
//   License as published by the Free Software Foundation; either
//   version 2 of the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Library General Public License for more details.
//
//   You should have received a copy of the GNU Library General Public License
//   along with this program; see the file COPYING.  If not, write to
//   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
//   Boston, MA 02111-1307, USA.
//
#ifndef _KVI_SRV_DIALOG_H_INCLUDED_
#define _KVI_SRV_DIALOG_H_INCLUDED_

class KviSrvDialog;

class KviServerEditDialog : public QDialog{
	Q_OBJECT;
public:
	KviServerEditDialog(KviSrvDialog *parent,KviServer *lpS);
	~KviServerEditDialog();
protected:
	KviServer *m_lpS;
	KRestrictedLine *lpNetName;
	KRestrictedLine *lpSrvName;
	KRestrictedLine *lpSrvIp;
	KRestrictedLine *lpPortNum;
	KRestrictedLine *lpPassword;
	KRestrictedLine *lpDescription;
	QPushButton *lpOk;
	QPushButton *lpCancel;
	QPushButton *lpHelp;
protected slots:
	void applyChanges();
	void invokeHelp();
};

class KviSrvDialog : public QTabDialog{
	Q_OBJECT
public:
	KviSrvDialog(KviFrame *lpParent,KviSrv *lpSrv);
	~KviSrvDialog();
public:
	KviSrv *m_lpSrv;

	QWidget *lpSrvTab;
	KTabListBox *lpSrvBox;
	QLabel *lpL1;
	QPushButton *lpMoveToTop;
	QPushButton *lpMoveUp;
	QPushButton *lpMoveDown;
	QPushButton *lpAdd;
	QPushButton *lpRemove;
	QPushButton *lpEdit;
	QPushButton *lpSave;
	QPushButton *lpReadFromIni;
	QPushButton *lpSort;
	QWidget *lpMiscTab;
	QLabel *lpL2;
	QCheckBox *lpCache;
	QCheckBox *lpROD;
	QCheckBox *lpROCF;

	KviBoolChanger *lpUseProxy;
	QLineEdit *lpProxyHost;
	QLabel *lpProxyIp;
	QLineEdit *lpProxyUsername;
	QLineEdit *lpProxyPassword;
	KIntegerLine *lpProxyPort;

	KIntegerLine *lpTimeout;
public slots:
	void applySlot();
	void moveToTop();
	void moveUp();
	void moveDown();
	void edit();
	void remove();
	void add();
	void saveServers();
	void readFromIni();
	void sortServers();
	void invokeHelp();
protected:
	void putBoxItem(const char *szItem,int index=-1);
	virtual void resizeEvent(QResizeEvent *e);
};

#endif //_KVI_SRV_DIALOG_H_INCLUDED_
